Bug 854985 - subscription-manager register for a system fails using the activation key
subscription-manager register for a system fails using the activation key
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: 854996
  Show dependency treegraph
 
Reported: 2012-09-06 08:50 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 854987 854996 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:17:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/rhsm/rhsm.conf attached (754 bytes, application/zip)
2012-09-10 03:44 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-09-06 08:50:25 EDT
Description of problem:
when registering a system using activation_key 

Version-Release number of selected component (if applicable):
[root@nec-em24-3 ~]# rpm -qa | grep katello
katello-selinux-1.1.1-1.fc16.noarch
katello-configure-1.1.7-1.git.119.b594042.fc16.noarch
katello-common-1.1.9-1.git.128.be134c2.fc16.noarch
katello-cli-common-1.1.5-1.git.129.be134c2.fc16.noarch
katello-glue-pulp-1.1.9-1.git.128.be134c2.fc16.noarch
katello-1.1.9-1.git.128.be134c2.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-glue-foreman-1.1.9-1.git.128.be134c2.fc16.noarch
katello-cli-headpin-1.1.1-1.git.59.e8fe8d3.fc16.noarch
katello-all-1.1.9-1.git.128.be134c2.fc16.noarch
katello-glue-candlepin-1.1.9-1.git.128.be134c2.fc16.noarch
katello-repos-1.1.2-1.fc16.noarch


How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin
rpm -ev --nodeps katello-cli
yum install katello-cli-headpin

Steps to Reproduce:
1. [root@nec-em24-3 ~]# subscription-manager register --name "localhost-1346920302" --org "ak-1346920132" --activationkey "act_key-1346920281" --force
Invalid username or password. To create a login, please visit https://www.redhat.com/wapps/ugc/register.html


  
Actual results:
system is not registered

Expected results:

system should be registered 
Additional info:
Comment 1 Eric Sammons 2012-09-06 13:59:34 EDT
With the following I am unable to reproduce this issue.

katello-common-1.1.9-1.git.148.307e03b.fc16.noarch
subscription-manager-0.99.19.4-1.el6_3.x86_64

# subscription-manager register --name "localhost-12345" --org "ACME_Corporation" --activationkey "activation123" --force
The system has been registered with id: c42390fe-d591-49d3-8285-2863fb741fad 

--------------------------------------------------------------------------------
                  Current Subscriptions for System [ None ]
--------------------------------------------------------------------------------

EntitlementId:     8a8b67c7399c16d101399cb637470099
Serial Id:         307978499133253422
PoolName:          Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
Consumed:          2
Quantity:          1
Sla:               Premium
ContractNumber:    3123709
Provided products: Red Hat Beta, Red Hat Enterprise Linux Server
Comment 2 Eric Sammons 2012-09-06 14:11:50 EDT
Please test again with katello-common >= 1.1.9-1.git.148.307e03b.fc16.noarch and let me know if your results differ.  If you continue to see failure, please share what version of subscription-manager is being used.
Comment 3 Tom McKay 2012-09-07 08:39:36 EDT
Tazim,
I am curious about the error message itself:

Invalid username or password. To create a login, please visit https://www.redhat.com/wapps/ugc/register.html

I don't think katello/headpin would show this. Could the system you are running on be mistakenly attempting to register to "RHN classic?" This is not an area I am familiar with.
Comment 4 Tom McKay 2012-09-07 08:47:26 EDT
Please include your /etc/rhsm/rhsm.conf file
Comment 5 Tazim Kolhar 2012-09-10 03:44:24 EDT
Created attachment 611334 [details]
/etc/rhsm/rhsm.conf attached

Hi Eric, Tom  :

re-tested again with following packages :

#katello-common-1.1.9-1.git.148.307e03b.fc16.noarch
#subscription-manager-0.96.17-1.el6.x86_64


# subscription-manager register --name 'localhost-12345' --org ACME_Corporation --activationkey act_key --force
The system has been registered with id: 01e85675-98d1-4ff0-85ce-bf8a9195129c 

was able to register the system using the activation key created .

*Details of the system registered
# headpin -u admin -p admin system list --org ACME_Corporation
--------------------------------------------------------------------------------
                  Systems List For Org [ ACME_Corporation ]

 Name              Uuid                                   Ipv4 Address   Service Level  
--------------------------------------------------------------------------------
 localhost-12345   01e85675-98d1-4ff0-85ce-bf8a9195129c   None                          


*Details of the activation key used to register the system
# headpin -u admin -p admin activation_key list --org ACME_Corporation
--------------------------------------------------------------------------------
                             Activation Key List

 Id   Name      Description   Usage   Environment Id   System Template Id  
--------------------------------------------------------------------------------
 1    act_key   None          1       2                None
Comment 7 errata-xmlrpc 2013-02-21 14:17:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.